Subject: Re: A slight inconvenience with 'git archive --format=tar'

From: René Scharfe <[email-masked]>
Date: Wed, 13 Jun 2012 21:58:31 +0200

Am 13.06.2012 19:45, schrieb Junio C Hamano:
> Rafał Mużyło <[email-masked]> writes:
>
>> I just stumbled upon this while checking a few mailing lists.
>> I haven't found any mails about in in the archives yet, so I assume, that
>> no mail have been written yet.
>>
>> The problem is described here:
>> http://sourceforge.net/projects/sevenzip/forums/forum/45798/topic/5322604
>
> Thanks.  It sounds a bit more than "slight inconvenience" to me ;-)

Indeed, but two mitigating factors, if you will, are that this only 
affects files whose path or link target contain non-ASCII characters, 
and -- as Rafał wrote -- that GNU tar silently accepts signed checksums 
as well, which makes it a bit difficult to test.

René